Dislike a shout
curl --request POST \
--url https://api.rocksky.app/xrpc/app.rocksky.like.dislikeShout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uri": "<string>"
}
'import requests
url = "https://api.rocksky.app/xrpc/app.rocksky.like.dislikeShout"
payload = { "uri": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({uri: '<string>'})
};
fetch('https://api.rocksky.app/xrpc/app.rocksky.like.dislikeShout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rocksky.app/xrpc/app.rocksky.like.dislikeShout",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'uri' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rocksky.app/xrpc/app.rocksky.like.dislikeShout"
payload := strings.NewReader("{\n \"uri\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rocksky.app/xrpc/app.rocksky.like.dislikeShout")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"uri\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rocksky.app/xrpc/app.rocksky.like.dislikeShout")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"uri\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"message": "<string>",
"parent": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"author": {
"id": "<string>",
"did": "<string>",
"handle": "<string>",
"displayName": "<string>",
"avatar": "<string>"
},
"gif": {
"url": "<string>",
"previewUrl": "<string>",
"alt": "<string>",
"width": 1,
"height": 1
},
"facets": [
{
"did": "<string>",
"byteStart": 1,
"byteEnd": 1
}
],
"content": "<string>",
"uri": "<string>",
"likes": 123,
"liked": true
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}app.rocksky.like
Dislike a shout
POST
/
app.rocksky.like.dislikeShout
Dislike a shout
curl --request POST \
--url https://api.rocksky.app/xrpc/app.rocksky.like.dislikeShout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uri": "<string>"
}
'import requests
url = "https://api.rocksky.app/xrpc/app.rocksky.like.dislikeShout"
payload = { "uri": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({uri: '<string>'})
};
fetch('https://api.rocksky.app/xrpc/app.rocksky.like.dislikeShout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rocksky.app/xrpc/app.rocksky.like.dislikeShout",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'uri' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rocksky.app/xrpc/app.rocksky.like.dislikeShout"
payload := strings.NewReader("{\n \"uri\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rocksky.app/xrpc/app.rocksky.like.dislikeShout")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"uri\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rocksky.app/xrpc/app.rocksky.like.dislikeShout")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"uri\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"message": "<string>",
"parent": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"author": {
"id": "<string>",
"did": "<string>",
"handle": "<string>",
"displayName": "<string>",
"avatar": "<string>"
},
"gif": {
"url": "<string>",
"previewUrl": "<string>",
"alt": "<string>",
"width": 1,
"height": 1
},
"facets": [
{
"did": "<string>",
"byteStart": 1,
"byteEnd": 1
}
],
"content": "<string>",
"uri": "<string>",
"likes": 123,
"liked": true
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Rocksky bearer token.
Body
application/json
The unique identifier of the shout to dislike
Response
Success
The unique identifier of the shout.
The content of the shout.
The ID of the parent shout if this is a reply, otherwise null.
The date and time when the shout was created.
The author of the shout.
Show child attributes
Show child attributes
An attached GIF, sticker, or clip.
Show child attributes
Show child attributes
Mentions of other actors within the message, anchored to UTF-8 byte ranges.
Show child attributes
Show child attributes